﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Globals;
@using Portal.Models.Dock;
@model Toyota.Common.Web.MVC.ModelHolder
<table border="0" class="tableHeader" cellspacing="0" cellpadding="1" id="InvoiceCreationHeaderTable">
    <tr>
        <td class="thColumn l01">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.EncodeHtml = false;
                    l.Text = "Document Date <font color=\"red\">*</font>";
                }).GetHtml()
        </td>
        <td class="thColumn v01">
            <div class="buLeft">
                @Html.DevExpress().DateEdit(
                e =>
                {
                    e.Properties.ClientInstanceName = "PeriodFrom";
                    e.Name = "PeriodFrom";
                    e.Width = 100;
                    e.Properties.EditFormatString = "dd.MM.yyyy";
                    e.Date = DateTime.Now.AddMonths(-1);
                    e.Properties.ClientSideEvents.DateChanged = "OnDateChanged";
                }).GetHtml()
            </div>
            <div class="buLeft toLabel">
                @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "To";
                }).GetHtml()
            </div>
            <div class="buLeft">
                @Html.DevExpress().DateEdit(
                e =>
                {
                    e.Properties.ClientInstanceName = "PeriodTo";
                    e.Name = "PeriodTo";
                    e.Width = 100;
                    e.Date = DateTime.Now;
                    e.Properties.EditFormatString = "dd.MM.yyyy";
                    e.Properties.ClientSideEvents.DateChanged = "OnDateChanged";
                }).GetHtml()
            </div>
        </td>
        <td class="thColumn lh">
            @Html.DevExpress().Label(
            l =>
            {
                l.ControlStyle.CssClass = "label";
                l.Text = "Supplier";
            }).GetHtml()
        </td>
        <td class="thColumn vh">
            @Html.Common().DevExpress().GridLookup(g =>
       {
           g.Name = "OIHSupplierOption";
           g.GridProperties.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "PartialHeaderSupplierLookupGridInvoiceCreation" };
           g.Width = 108;

           g.GridProperties.KeyFieldName = "SUPP_CD";

           if (Model.GetModel<List<SupplierICS>>().Count == 1)
           {
               g.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
           }

           g.GridProperties.Columns.Add(column =>
           {
               column.Name = "SUPP_CD";
               column.FieldName = "SUPP_CD";
               column.Caption = "Supplier<br /> Code";
               column.Width = Unit.Pixel(80);
               column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
           });

           g.GridProperties.Columns.Add(column =>
           {
               column.Name = "SUPP_NAME";
               column.FieldName = "SUPP_NAME";
               column.Caption = "Supplier<br />Name";
               column.Width = Unit.Pixel(500);
               column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
           });
       }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
        <td class="thColumn lh">
            @Html.DevExpress().Label(
            l =>
            {
                l.ControlStyle.CssClass = "label";
                //edtSettings.Text = "Supplier Manifest";
                l.Text = "Manifest No";
            }).GetHtml()
        </td>
        <td class="thColumn vh">
            @Html.DevExpress().TextBox(e =>
            {
                e.Properties.ClientInstanceName = "txtManifestNo";
                e.Name = "txtManifestNo";
                e.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                e.Properties.ClientSideEvents.ValueChanged = "TextValueChangedMergeNewLineToSemiColon";
            }).GetHtml()
        </td>
        <td class="thColumn lh">
        </td>
        <td class="thColumn vh">
        </td>
        <td class="fillCol" rowspan="2">
        </td>
    </tr>
    <tr>
        <td class="thColumn l01">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.EncodeHtml = false;
                    l.Text = "Business Area";
                }).GetHtml()
        </td>
        <td class="thColumn v01">
            @Html.DevExpress().ComboBox(c =>
          {
              c.Name = "BusinessAreaCombo";

              c.Properties.Items.Add("After Sales");
              c.Properties.Items.Add("OE");
              c.SelectedIndex = 1;
              c.Width = Unit.Pixel(222);
          }).GetHtml()
        </td>
        <td class="thColumn lh">
            @Html.DevExpress().Label(
        e =>
        {
            e.ControlStyle.CssClass = "label";
            e.EncodeHtml = false;
            e.Text = "Dock Code";
        }).GetHtml()
        </td>
        <td class="thColumn vh">
            @Html.Common().DevExpress().GridLookup(
    g =>
    {
        g.Name = "OIHDockOption";
        g.Width = 108;
        g.GridProperties.KeyFieldName = "DOCK_CD";
        g.GridProperties.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "PartialHeaderDockLookupGridInvoiceCreation" };
        g.ReadOnly = true;
        g.GridProperties.Columns.Add(column =>
        {

            column.Name = "PLANT_CD";
            column.FieldName = "PLANT_CD";
            column.Caption = "Plant Code";
            column.Width = Unit.Pixel(80);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
        });

        g.GridProperties.Columns.Add(column =>
        {
            column.Name = "DOCK_CD";
            column.FieldName = "DOCK_CD";
            column.Caption = "Dock Code";
            column.Width = Unit.Pixel(80);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
        });

        g.GridProperties.Columns.Add(column =>
        {
            column.Name = "DOCK_NAME";
            column.FieldName = "DOCK_NM";
            column.Caption = "Dock Name";
            column.Width = Unit.Pixel(200);
            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
        });

    }).Bind(Model.GetModel<List<DockData>>()).GetHtml()
        </td>
        <td class="thColumn lh">
            @Html.DevExpress().Label(
                    l =>
                    {
                        l.ControlStyle.CssClass = "label";

                        l.Text = "Order No";
                    }).GetHtml()
        </td>
        <td class="thColumn vh">
            @Html.DevExpress().TextBox(e =>
                {
                    e.Name = "txtOrderNo";
                    e.Properties.ClientInstanceName = "txtOrderNo";
                    e.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                    e.Properties.ClientSideEvents.TextChanged = "TextValueChangedMergeNewLineToSemiColon";
                }).GetHtml()
        </td>
        <td class="fillCol" colspan="2">
            @Html.DevExpress().CheckBox(c =>
       {
           c.Text = "Show Uploaded Invoice Only";
           c.Name = "UploadedOnlyCheck";

       }).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="9">
            <div class="filler">
                &nbsp;
            </div>
        </td>
    </tr>
    <tr>
        <td class="thColumn" colspan="5">
            <div class="buLeft">
                @Html.DevExpress().Button(b =>
                {
                    b.Name = "btnDownload";
                    b.ControlStyle.CssClass = "button";
                    b.Height = 10;
                    b.Width = Unit.Pixel(190);
                    b.Text = "Download Goods Receipt (.csv)";
                    b.UseSubmitBehavior = true;
                    b.ClientSideEvents.Click = "btnDownloadClick";
                }).GetHtml()
            </div>
            <div class="buLeft vspace">&nbsp;</div>
            <div class="buLeft" id="CSVUploaddiv">
                @using (Html.BeginForm(
                "DownloadCallback",
                "InvoiceCreation",
                FormMethod.Post,
                new { @class = "imagePreview", id = "formUploadLIV" }))
                {
                    @Html.DevExpress().UploadControl(u =>
                      {
                          u.Name = "LivUpload";
                          u.BrowseButton.Text = "Browse";
                          u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                          u.ShowAddRemoveButtons = false;
                          // u.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                          u.Width = Unit.Pixel(164);


                          u.ValidationSettings.MaxFileSize = 10000000;
                          u.ValidationSettings.AllowedFileExtensions = new string[] { ".csv", ".zip" };
                          u.ValidationSettings.ShowErrors = true;

                          u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                          u.ValidationSettings.NotAllowedFileExtensionErrorText = "PrCSV only";

                          u.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "LivUploadCallback" };

                          u.ClientSideEvents.FileUploadComplete = "LivUploadFileUploadComplete";
                          u.ClientSideEvents.Init = "LivUploadInit";

                          u.ShowProgressPanel = false;

                          // authorization code
                          int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "LivUpload");

                          switch (auth)
                          {
                              case 0:
                                  u.ClientVisible = false;
                                  break;
                              case 1:
                                  u.Enabled = false;
                                  break;
                              case 2:
                                  u.ClientVisible = true;
                                  u.Enabled = true;
                                  break;
                              default:
                                  u.ClientVisible = true;
                                  u.Enabled = true;
                                  break;
                          }

                      }).GetHtml()
                }
            </div>
            <div class="buLeft">
                @Html.DevExpress().Button(b =>
                {
                    b.Name = "UploadButton";
                    b.Text = "Upload Invoice (.csv)";
                    b.Width = 150;
                    b.Style.Add("padding-left", "5px");
                    b.ClientSideEvents.Click = "UploadButtonClick";

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "UploadButton");

                    switch (auth)
                    {
                        case 0:
                            b.ClientVisible = false;
                            break;
                        case 1:
                            b.Enabled = false;
                            break;
                        case 2:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                        default:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                    }
                }).GetHtml()
            </div>
            <div class="buLeft vspace">&nbsp;</div>
            <div class="buLeft">
                @Html.DevExpress().Button(b =>
                {
                    b.Text = "Cancel Invoice";
                    b.Name = "CancelUploadedInvoiceButton";
                    b.Width = Unit.Pixel(110);
                    b.ClientSideEvents.Click = "CancelOnUpload";

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "CancelUploadedInvoiceButton");

                    switch (auth)
                    {
                        case 0:
                            b.ClientVisible = false;
                            break;
                        case 1:
                            b.Enabled = false;
                            break;
                        case 2:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                        default:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                    }
                }).GetHtml()
            </div>
            </td><td class="thColumn" colspan="4">
            <div class="buRight">
                @Html.DevExpress().Button(b =>
                {
                    b.Name = "btnReport";
                    b.ControlStyle.CssClass = "button";
                    b.Height = 10;

                    b.Text = "Outstanding GR";
                    b.UseSubmitBehavior = true;
                    b.ClientSideEvents.Click = "btnReportClick";
                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "btnReport");

                    switch (auth)
                    {
                        case 0:
                            b.ClientVisible = false;
                            break;
                        case 1:
                            b.Enabled = false;
                            break;
                        case 2:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                        default:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                    }
                }).GetHtml()
            </div>
            
          
            <div class="buRight">
                @Html.DevExpress().Button(b =>
                   {
                       b.Name = "btnRefresh";
                       b.ControlStyle.CssClass = "button";
                       b.Height = 10;

                       b.Text = "Refresh";
                       b.UseSubmitBehavior = true;
                       b.ClientSideEvents.Click = "btnRefreshClick";
                       // authorization code
                       int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "btnRefresh");

                       switch (auth)
                       {
                           case 0:
                               b.ClientVisible = false;
                               break;
                           case 1:
                               b.Enabled = false;
                               break;
                           case 2:
                               b.ClientVisible = true;
                               b.Enabled = true;
                               break;
                           default:
                               b.ClientVisible = true;
                               b.Enabled = true;
                               break;
                       }
                   }).GetHtml()
            </div>

              <div class="buRight">
                @Html.DevExpress().Button(b =>
                {
                    b.Text = "Preview Invoice";
                    b.Name = "PreviewInvoice";
                    b.Width = Unit.Pixel(120);
                    //e.ClientSideEvents.Click = "function(s,e){ callInvoicePreview(); }";
                    b.ClientSideEvents.Click = "OnPreviewInvoiceClick";
                }).GetHtml()
            </div>
        </td>
    </tr>
    <tr>
     <td class="thColumn" colspan="5">
            <div class="buLeft">
                @Html.DevExpress().Button(b =>
                {
                    b.Name = "btnDownload_Excel";
                    b.ControlStyle.CssClass = "button";
                    b.Height = 10;
                    b.Width = Unit.Pixel(190);
                    b.Text = "Download Goods Receipt (.xls)";
                    b.UseSubmitBehavior = true;
                    b.ClientSideEvents.Click = "btnDownloadExcelClick";
                }).GetHtml()
            </div>
            <div class="buLeft vspace ">&nbsp;</div>
            <div class="buLeft" id="XLSUploadDiv">
                @using (Html.BeginForm(
                "DownloadCallback",
                "InvoiceCreation",
                FormMethod.Post,
                new { @class = "imagePreview", id = "formUploadLIVexcel" }))
                {
                    @Html.DevExpress().UploadControl(u =>
                      {
                          u.Name = "LivUpload_Excel";
                          u.BrowseButton.Text = "Browse";
                          u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                          u.ShowAddRemoveButtons = false;
                          // u.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                          u.Width = Unit.Pixel(164);

                          u.ValidationSettings.MaxFileSize = 10000000;
                          u.ValidationSettings.AllowedFileExtensions = new string[] { ".xls", ".zip" };
                          u.ValidationSettings.ShowErrors = true;

                          u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                          u.ValidationSettings.NotAllowedFileExtensionErrorText = "Excel only";

                          u.CallbackRouteValues = new { Controller = "InvoiceCreation", Action = "LivUploadCallback_Excel" };

                          u.ClientSideEvents.FileUploadComplete = "LivUploadFileUploadComplete";
                          u.ClientSideEvents.Init = "LivExcelUploadInit";
                          
                          u.ShowProgressPanel = false;

                          // authorization code
                          int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "LivUpload_Excel");

                          switch (auth)
                          {
                              case 0:
                                  u.ClientVisible = false;
                                  break;
                              case 1:
                                  u.Enabled = false;
                                  break;
                              case 2:
                                  u.ClientVisible = true;
                                  u.Enabled = true;
                                  break;
                              default:
                                  u.ClientVisible = true;
                                  u.Enabled = true;
                                  break;
                          }

                      }).GetHtml()
                }
            </div>
            <div class="buLeft">
                @Html.DevExpress().Button(b =>
                {
                    b.Name = "UploadButton_Excel";
                    b.Text = "Upload Invoice (.xls)";
                    b.Width = 150;
                    b.Style.Add("padding-left", "5px");
                    b.ClientSideEvents.Click = "UploadButtonClick_Excel";

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "UploadButton_Excel");

                    switch (auth)
                    {
                        case 0:
                            b.ClientVisible = false;
                            break;
                        case 1:
                            b.Enabled = false;
                            break;
                        case 2:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                        default:
                            b.ClientVisible = true;
                            b.Enabled = true;
                            break;
                    }
                }).GetHtml()
            </div>
            <div class="buLeft vspace">&nbsp;</div>
            <div class="buLeft">
                @Html.DevExpress().Button(b =>
               {
                   b.Text = "Check Manifest";
                   b.Name = "CheckData";
                   b.ClientSideEvents.Click = "CheckDataClick";
                   b.Width = Unit.Pixel(110);
               }).GetHtml()
            </div>
        </td>
        <td class="thColumn" colspan="4">
            <div class="buRight">
                @Html.DevExpress().Button(b =>
                {
                    b.Text = "Clear";
                    b.Name = "ClearButton";
                    b.ClientSideEvents.Click = "OnClearClick";
                    b.Width = Unit.Pixel(60);
                }).GetHtml()
            </div>
            <div class="buRight">
                @Html.DevExpress().Button(b =>
               {
                   b.Text = "Search";
                   b.Name = "SearchData";
                   b.ClientSideEvents.Click = "SearchDataClick";
                   b.Width = Unit.Pixel(60);
               }).GetHtml()
            </div>
     </td>
    </tr>
</table>
